CREATE TEMPORARY TABLE IF NOT EXISTS temp (
        `time_start`      DATETIME NOT NULL,
        `time_end`        DATETIME NOT NULL,
        `ses_id`          BIGINT NOT NULL,
        `channel`         INT UNSIGNED NOT NULL,
        `counter_1`       DOUBLE DEFAULT NULL,
        `counter_2`       DOUBLE DEFAULT NULL,
        `counter_3`       DOUBLE DEFAULT NULL,
        `counter_4`       DOUBLE DEFAULT NULL,
        `counter_5`       DOUBLE DEFAULT NULL,
        `counter_6`       DOUBLE DEFAULT NULL,
        `counter_7`       DOUBLE DEFAULT NULL,
        UNIQUE (`time_start`, `time_end`, `ses_id`, `channel`)
        )  ENGINE = MYISAM;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_1`)
SELECT `time_start`, `time_end`, `ses_id`, `channel`, `value` FROM value_dbl WHERE subsystem = 'MC' AND server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 1   ON DUPLICATE KEY UPDATE `counter_1` = value ;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_2`)
SELECT time_start, time_end, ses_id, channel, value FROM value_dbl WHERE subsystem = 'MC' AND  server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 2  ON DUPLICATE KEY UPDATE `counter_2` = value ;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_3`)
SELECT time_start, time_end, ses_id, channel, value FROM value_dbl WHERE subsystem = 'MC' AND  server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 3   ON DUPLICATE KEY UPDATE `counter_3` = value ;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_4`)
SELECT time_start, time_end, ses_id, channel, value FROM value_dbl WHERE subsystem = 'MC' AND  server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 4  ON DUPLICATE KEY UPDATE `counter_4` = value ;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_5`)
SELECT time_start, time_end, ses_id, channel, value FROM value_dbl WHERE subsystem = 'MC' AND  server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 5   ON DUPLICATE KEY UPDATE `counter_5` = value ;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_6`)
SELECT time_start, time_end, ses_id, channel, value FROM value_dbl WHERE subsystem = 'MC' AND  server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 6   ON DUPLICATE KEY UPDATE `counter_6` = value ;

INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`, `counter_7`)
SELECT time_start, time_end, ses_id, channel, value FROM value_dbl WHERE subsystem = 'MC' AND  server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
AND counter_id = 7   ON DUPLICATE KEY UPDATE `counter_7` = value ;

SELECT time_start, time_end, ses_id, channel, counter_1, counter_2, counter_3, counter_4, counter_5, counter_6, counter_7 FROM temp INTO OUTFILE '/tmp/file.csv'


INSERT INTO temp (`time_start`, `time_end`, `ses_id`, `channel`)
SELECT `time_start`, `time_end`, `ses_id`, `channel` FROM value_dbl WHERE subsystem = 'MC' AND server_time BETWEEN '2014-02-26 09:00:00' AND '2014-02-26 18:00:00'
GROUP BY `time_start`, `time_end`, `ses_id`, `channel` limit 100;

