#!/bin/sh

#Скрипт для создания БД проекта Eltex.QMS

USER=root
PASS=root
MAIN_DB=qmsdb

	# вычистить за собой базы данных, запрос login для mysql
	echo -n "Enter your mysql administrator login: "
	read ans
	if [ -z $ans ]; then echo "login can't be an empty value"; exit 1; fi
	USER=$ans

	# запрос пароля суперпользователя БД mysql. на экране закрывается звёздочками
	echo -n "Enter your mysql administrator password: "
	stty -echo
	read ans
	PASS=$ans
	echo
	stty echo

#drop sql user (if exists)
if mysql -u$USER -p$PASS -e "DROP USER 'qmsuser'@'localhost';"
then
    echo "Mysql user 'qmsuser' deleted from database"
    else
    echo "User 'qmsuser' is not deleted (Maybe it does not exist, this is not a problem)"
fi

#create user for QMS
if mysql -u $USER -p$PASS -e "CREATE USER 'qmsuser'@'localhost' IDENTIFIED BY 'qmspassword';"
then
    echo "Mysql 'qmsuser' (mysql) created"
else
    echo "\033[31m Error, creating mysql user 'qmsuser', script aborted!\033[0m\n"
    exit 1
fi

#grant privileges for qmsuser
if mysql -u $USER -p$PASS -e "GRANT ALL PRIVILEGES ON qmsdb.* TO 'qmsuser'@'localhost' WITH GRANT OPTION;"
then
    echo "Mysql 'qmsuser' (mysql) priveleges granted"
else
    echo "\033[31m Error, not granted priveleges for user 'qmsuser', script aborted!\033[0m\n"
    exit 1
fi

echo ""
echo "Script finished"
echo ""

exit 0
