/**
 * Функции для файла admin.html
 * Инициалищация таблицы работы с дампами БД
 */
//Создаем таблицу со списком регулярных дампов
function createDumpGrid ( ) {
    jQuery("#dumps").jqGrid({
       	url: window.location.pathname + '/dumps',
    	datatype: "json",
    	height: 150,
        width: 600,
       	colNames:['Действие', 'Имя файла'],
       	colModel:[
       		{name:'actions',index:'actions', width:80, sortable:false },
       		{name:'filename',index:'filename',width:520, sortable:false }
       	],
       	loadonce: true,
       	mtype: "GET",
       	pager: '#pdumps',
       	loadError : errorJsonData,
       	gridComplete: function(){
		    var ids = jQuery("#dumps").jqGrid('getDataIDs');
		    for(var i=0; i < ids.length; i++){
			    var cl = ids[i];
			    be = "<input style='height:22px;width:25px;' type='button' value='D' onclick=\"updateRow('"+cl+"', 'del');\"  />";
			    se = "<input style='height:22px;width:25px;' type='button' value='S' onclick=\"saveDump('"+cl+"');\" />";
			    ce = "<input style='height:22px;width:25px;' type='button' value='R' onclick=\"updateRow('"+cl+"', 'edit');\" />";
			    jQuery("#dumps").jqGrid('setRowData',ids[i],{actions:be+se+ce});
		    }
	    },
        viewrecords: true,
        caption:"Регулярные копии БД"
    });
    jQuery("#dumps").jqGrid('navGrid',"#pdumps",{edit:false,add:false,del:false, search:false});
    jQuery('#pdumps_center').hide();
    jQuery('#pdumps_right').hide();
    jQuery("#refresh_dumps").click( function (){
            jQuery("#dumps").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    });
};
//Сохранить файл на клиенте
function saveDump( rowId ){
    window.location = window.location.pathname + '/download_regular_dump?dump=' + rowId;
};
//Посылаем запрос на сервер
function updateRow( rowId, oper ){
    new Request({
        url: window.location.pathname + '/dumps/update',
        method: 'post',
        onRequest: function(){
            jQuery("#wait_dialog").dialog({
                closeOnEscape: false,
                modal: true,
                resizable: false,
                open: function(event, ui) {
                        jQuery("button.ui-dialog-titlebar-close").hide();
                    }
            });
        },
        onSuccess: function(responseText){
            $("#wait_dialog").dialog('close');
            if ( responseText.search('OK') >= 0 ){
                if ( oper == 'del'){
                    jQuery("#dumps").jqGrid('delRowData',rowId);
                } else if ( oper == 'edit' ){
                    jQuery("#successTextForDialog").text( "Восстановление копии БД успешно!" );
                    jQuery("#success_dialog").dialog();
                }
            } else {
                jQuery("#errorTextForDialog").text( responseText );
                jQuery("#error_dialog").dialog();
            }
        },
        onFailure: function( xhr ){
            errorJson( xhr );
        }
    }).send( "oper=" + oper + "&dump=" + rowId );
};
