/**
 * Функции к файлу applications.html
 */

//Форматировать прирост
function growthFormatter ( cellvalue, options, rowObject ) {
    if (cellvalue > 0) {
       	return '<span style="color:green;">' + cellvalue + '</span>';
    }
    if (cellvalue < 0){
        return '<span style="color:red;">' + cellvalue + '</span>';
    }
    return cellvalue;
};

//Форматировать прирост
function ratingFormatter ( cellvalue, options, rowObject ) {
    var n = parseInt( cellvalue );
    if (isNaN(n)) { return cellvalue;}
    return (cellvalue + ' %');
};

//Перезагрузить данные
function reloadData(){

    reloadGraph();
    var timeType    = document.getElementById('time_type');
	jQuery("#applications").jqGrid('setGridParam',{url:window.location.pathname + '/search?time_type='
	    + timeType[timeType.selectedIndex].value}).trigger("reloadGrid");
};

//Перезагрузить данные
function reloadGraph(){

    var timeType    = document.getElementById('time_type');
    var appType     = document.getElementById('app_type');
    var graphHref   = window.location.pathname + '/graphic?time_type='
                      + timeType[timeType.selectedIndex].value + '&app_type=' + appType[appType.selectedIndex].value;
    loadGraph( document.getElementById('ratingGraph'), graphHref, "Рейтинги TOP-10 приложений" );
};

//загрузка графика
/*
graphDiv - элемент-родитель картинки
link - путь к картинке
descr - описание картинки
*/
function loadGraph( graphDiv, link, descr ){

    var loadingImg = getSimpleImage( '/qms/resources/loading_big.gif', 'Загрузка...' );
    graphDiv.innerHTML = "";
    graphDiv.appendChild( loadingImg );
    setImage( link, descr, graphDiv );
};

window.onload = function() {

    reloadGraph();
    createApplicationGrid ( document.getElementById('time_type') );
};
/*
var mydata = [
    		{icon:"1",short_name:"2010-05-24",application:"test",type:"note",devices:"10",rating:"2111", growth:'12'} ,
    		{icon:"2",short_name:"2010-05-25",application:"test2",type:"note2",devices:"20",rating:"320", growth:'12'},
    		{icon:"3",short_name:"2007-09-01",application:"test3",type:"note3",devices:"30",rating:"430", growth:'12'},
    		{icon:"4",short_name:"2007-10-04",application:"test",type:"note",devices:"10",rating:"210", growth:'12'},
    		{icon:"5",short_name:"2007-10-05",application:"test2",type:"note2",devices:"20",rating:"320", growth:'12'},
    		{icon:"6",short_name:"2007-09-06",application:"test3",type:"note3",devices:"30",rating:"430", growth:'12'},
    		{icon:"7",short_name:"2007-10-04",application:"test",type:"note",devices:"10",rating:"210", growth:'12'},
    		{icon:"8",short_name:"2007-10-03",application:"test2",type:"note2",devices:"300",rating:"21",growth:"320.00"},
    		{icon:"9",short_name:"2007-09-01",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"},
    		{icon:"11",short_name:"2007-10-01",application:"test",type:"note",devices:"200",rating:"10",growth:"210.00"},
    		{icon:"12",short_name:"2007-10-02",application:"test2",type:"note2",devices:"300",rating:"20",growth:"320.00"},
    		{icon:"13",short_name:"2007-09-01",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"},
    		{icon:"14",short_name:"2007-10-04",application:"test",type:"note",devices:"200",rating:"10",growth:"210.00"},
    		{icon:"15",short_name:"2007-10-05",application:"test2",type:"note2",devices:"300",rating:"20",growth:"320.00"},
    		{icon:"16",short_name:"2007-09-06",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"},
    		{icon:"17",short_name:"2007-10-04",application:"test",type:"note",devices:"200",rating:"10",growth:"210.00"},
    		{icon:"18",short_name:"2007-10-03",application:"test2",type:"note2",devices:"300",rating:"20",growth:"320.00"},
    		{icon:"19",short_name:"2007-09-01",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"},
    		{icon:"21",short_name:"2007-10-01",application:"test",type:"note",devices:"200",rating:"10",growth:"210.00"},
    		{icon:"22",short_name:"2007-10-02",application:"test2",type:"note2",devices:"300",rating:"20",growth:"320.00"},
    		{icon:"23",short_name:"2007-09-01",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"},
    		{icon:"24",short_name:"2007-10-04",application:"test",type:"note",devices:"200",rating:"10",growth:"210.00"},
    		{icon:"25",short_name:"2007-10-05",application:"test2",type:"note2",devices:"300",rating:"20",growth:"320.00"},
    		{icon:"26",short_name:"2007-09-06",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"},
    		{icon:"27",short_name:"2007-10-04",application:"test",type:"note",devices:"200",rating:"10",growth:"210.00"},
    		{icon:"28",short_name:"2007-10-03",application:"test2",type:"note2",devices:"300",rating:"20",growth:"320.00"},
    		{icon:"29",short_name:"2007-09-01",application:"test3",type:"note3",devices:"400",rating:"30",growth:"430.00"}
    	];
*/