/**
 * Функции к файлу applications.html
 * Инициализация таблицы приложений без прав редактирования
 */
function createApplicationGrid ( timeType ) {
    var lastsel;
    jQuery("#applications").jqGrid({
        //data: mydata,
        //datatype: "local",
       	url: window.location.pathname + '/search?time_type=' + timeType[timeType.selectedIndex].value,
    	datatype: "json",
    	height: 320,
        width: 1200,
       	colNames:['Иконка', 'Имя', 'Приложение', 'Тип приложения', 'Кол-во пользователей', 'Рейтинг %', 'Прирост'],
       	colModel:[
       	    {name:'icon',index:'icon', width:60, fixed:true, sortable:false, formatter: iconFormatter, search: false },
       		{name:'short_name',index:'short_name', width:250, sorttype:'string', editable: true, searchoptions:{sopt:['eq','ne']}},
       		{name:'name',index:'name', width:400, sortable:false, searchoptions:{sopt:['eq','ne']} },
       		{name:'app_type',index:'app_type', fixed:true, width:150, stype:"select", searchoptions:{
       		                                    value: "1:Linux plugin;2:Android application",
       		                                    defaultValue: "1",
       		                                    sopt:['eq','ne']}
       		},
       		{name:'devices',index:'devices', align:'center', fixed:true, width:140, sorttype:'integer', search: false },
       		{name:'rating',index:'rating', align:'center', fixed:true, width:110, sorttype:'integer', formatter: ratingFormatter, search: false },
       		{name:'growth',index:'growth', align:'center', fixed:true, width:70, sortable:false, formatter: growthFormatter, search: false }
       	],
       	rowNum:30,
       	rowList:[30,50,100],
       	mtype: "GET",
       	loadError : errorJsonData,
       	pager: '#papplications',
       	sortname: 'rating',
        viewrecords: true,
        multiSort: true,
        sortorder: "desc",
        caption:"Список приложений",
        cellEdit : true,
        cellsubmit : 'remote',
        cellurl : window.location.pathname + "/update",
        beforeEditCell: function (rowid, cellname, value, iRow, iCol) {
            lastsel = value;
        },
        afterSubmitCell: function (serverresponse, rowid, cellname, value, iRow, iCol) {
            if ( serverresponse.responseText == "OK" ){
                jQuery("#applications").jqGrid('setRowData',rowid,{short_name:value});
                return [ true, ''];
            } else {
                jQuery("#applications").jqGrid('setRowData',rowid,{short_name:lastsel});
                return [ false, serverresponse.responseText ];
            }
        }
    });
    jQuery("#applications").jqGrid('navGrid','#papplications',{del:false,add:false,edit:false},{},{},{},{multipleSearch:true});
    jQuery("#refresh_applications").click( function (){
            jQuery("#applications").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    });
    jQuery("#applications").jqGrid('gridResize',{minWidth:1200,maxWidth:1800,minHeight:230, maxHeight:600});
};

//Форматировать иконку
function iconFormatter ( cellvalue, options, rowObject ) {
    //console.log(rowObject);
    //return "<img src='/qms/resources/error.png' width='100' height='100'  alt='my image' />";
    return "<img src='" + cellvalue + "' width='60' height='60'  alt='" +rowObject.name
            + "' title='"+rowObject.name+"' onclick='updateIcon(\""+rowObject.app_type+"\", \""+rowObject.name+"\")'"
            + " onmouseover=\"this.style.backgroundColor='rgba(255, 250, 250, 0.3)'; this.style.boxShadow ='0 0 10px rgba(0,0,0,0.5)'; this.style.cursor='pointer'\""
            + " onmouseout=\"this.style.backgroundColor='inherit'; this.style.boxShadow = 'none'\"/>";
};

/*
    Обновить иконку для приложения
*/
function updateIcon( app_type, name ){
    jQuery("#load_icon_dialog").dialog({
        //autoOpen: false,
        height: 200,
        width: 350,
        modal: true,
        resizable: false,
        buttons: {
            "Сохранить иконку": function(){
                var fileSelect = document.getElementById('upload_icon');
                var file = fileSelect.files[0];
                if ( file == null ){
                    showDialog("Ошибка", "Файл не выбран");
                    return;
                }
                // Check the file type.
                if (!file.type.match('image.*')) {
                    showDialog("Ошибка", "Файл не является картинкой");
                    return;
                }
                var formData = new FormData();
                // Add the file to the request.
                formData.append('file', file, file.name);
                var xhr = new XMLHttpRequest();
                xhr.open('POST', window.location.pathname + '/loadFile', true);
                xhr.onload = function () {
                    if (xhr.status === 200) {
                        //Тут непосредственно связываем иконку с приложением
                        updateApplicationIcon(xhr.responseText, app_type, name);
                    } else {
                        jQuery("#wait_dialog").dialog('close');
                        errorJson( xhr );
                    }
                };
                jQuery("#wait_dialog").dialog({
                    closeOnEscape: false,
                    modal: true,
                    resizable: false,
                    open: function(event, ui) {
                        jQuery("button.ui-dialog-titlebar-close").hide();
                    },
                    close: function(event, ui) {
                        jQuery("button.ui-dialog-titlebar-close").show();
                    }
                });
                xhr.send( formData );
            },
            "Отмена": function() {
                jQuery("#load_icon_dialog").dialog( "close" );
            }
        }
    });
};

/*
    Связать иконку с приложением
*/
function updateApplicationIcon( path, app_type, name ) {
    new Request({
        url: window.location.pathname + '/update',
        method: 'get',
        onSuccess: function(responseText){
            jQuery("#wait_dialog").dialog('close');
            jQuery("#load_icon_dialog").dialog( "close" );
            jQuery("#applications").jqGrid().trigger("reloadGrid");
        },
        onFailure: function( xhr ){
            jQuery("#wait_dialog").dialog('close');
            errorJson( xhr );
        }
    }).send( "app_type=" + app_type + "&name=" + name + "&icon_path=" + path );
};

function decodeUtf ( s ) {
        for(var a, b, i = -1, l = (s = s.split("")).length, o = String.fromCharCode, c = "charCodeAt"; ++i < l;
        			((a = s[i][c](0)) & 0x80) &&
        			(s[i] = (a & 0xfc) == 0xc0 && ((b = s[i + 1][c](0)) & 0xc0) == 0x80 ?
        			o(((a & 0x03) << 6) + (b & 0x3f)) : o(128), s[++i] = "")
        		);
        		return s.join("");
};