/**
 * Функции к файлу applications.html
 * Инициализация таблицы приложений без прав редактирования
 */
function createApplicationGrid ( timeType ) {
    jQuery("#applications").jqGrid({
        //data: mydata,
        //datatype: "local",
       	url: window.location.pathname + '/search?time_type=' + timeType[timeType.selectedIndex].value,
    	datatype: "json",
    	height: 320,
        width: 1200,
       	colNames:['Иконка', 'Имя', 'Приложение', 'Тип приложения', 'Кол-во пользователей', 'Рейтинг %', 'Прирост'],
       	colModel:[
       	    {name:'icon',index:'icon', width:60, fixed:true, sortable:false, formatter: iconFormatter, search: false },
       		{name:'short_name',index:'short_name', width:250, sorttype:'string', searchoptions:{sopt:['eq','ne']}},
       		{name:'name',index:'name', width:400, sortable:false, searchoptions:{sopt:['eq','ne']} },
       		{name:'app_type',index:'app_type', fixed:true, width:150, stype:"select", searchoptions:{
       		                                    value: "1:Linux plugin;2:Android application",
       		                                    defaultValue: "1",
       		                                    sopt:['eq','ne']}
       		},
       		{name:'devices',index:'devices', align:'center', fixed:true, width:140, sorttype:'integer', search: false },
       		{name:'rating',index:'rating', align:'center', fixed:true, width:110, sorttype:'integer', formatter: ratingFormatter, search: false },
       		{name:'growth',index:'growth', align:'center', fixed:true, width:70, sortable:false, formatter: growthFormatter, search: false }
       	],
       	rowNum:30,
       	rowList:[30,50,100],
       	mtype: "GET",
       	loadError : errorJsonData,
       	pager: '#papplications',
       	sortname: 'rating',
        viewrecords: true,
        multiSort: true,
        sortorder: "desc",
        caption:"Список приложений"
    });
    jQuery("#applications").jqGrid('navGrid','#papplications',{del:false,add:false,edit:false},{},{},{},{multipleSearch:true});
    jQuery("#refresh_applications").click( function (){
            jQuery("#applications").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    });
    jQuery("#applications").jqGrid('gridResize',{minWidth:1200,maxWidth:1800,minHeight:230, maxHeight:600});
};

//Форматировать иконку
function iconFormatter ( cellvalue, options, rowObject ) {
    //console.log(rowObject);
    //return "<img src='/qms/resources/error.png' width='100' height='100'  alt='my image' />";
    return "<img src='" + cellvalue + "' width='60' height='60'  alt='" +rowObject.name
            + "' title='"+rowObject.name+"' />";
};