/*
    Функии обработки ошибок
*/
//Функция обработки ошибок на ajax - jquery
//На странице должен быть div dialog и dialog_text
function errorJsonData(xhr,st,err) {
    var status = xhr.status;
    console.log(xhr);
    switch ( status ) {
        case 401://Нет авторизации
            showErrorDialog("Вы не авторизованы(возможно, истек срок вашей сессии!)<br>Для дальнейшей работы необходимо перерегистрироваться!");
            break;
        case 406://Нет доступа
            showErrorDialog("У вас нет доступа к данному функционалу!<br>Обратитесь к администратору!");
            break;
        case 0://Сервер не доступен
            showErrorDialog("Сервер не доступен!");
            break;
        case 400://Плохой запрос
            showErrorDialog("Некорректный запрос!");
            break;
        case 404://Not found
            showErrorDialog("Неизвестный запрос!");
            break;
        case 417://SC_EXPECTATION_FAILED - сообщение от сервера
            var message = xhr.responseText;
            if ( message != null || message != "" ){
                showErrorDialog(message);
            } else {
                showErrorDialog("Системная ошибка!");
            }
            break;
        default://Другие ошибки
            showErrorDialog( "Системная ошибка!");
            break;
    }
}
//Функция обработки ошибок ajax - dynatree
function errorJsonDyna( node, xhr, text, error ) {
    errorJsonData( xhr, text, error );
}
//Функция обработки ошибок ajax
function errorJson( xhr ) {
    errorJsonData( xhr, null, null );
}
//Вывести простой диалог
function showDialog( title, text ){
    try{
        jQuery("#dialog").dialog( "isOpen" );
        jQuery("#dialog").dialog('close');
    } catch ( ex ){
        //ничего не делаем, если ошибка, то диалога не было
    }
    jQuery("#dialog_text").text( text );
    jQuery("#dialog").dialog({width: 300, height: 150}).css("font-size", "14px");
    jQuery("#dialog").dialog("option", "title", title);
}
//Вывести диалог ошибки
function showErrorDialog( text ){
    try{
        jQuery("#dialog").dialog( "isOpen" );
        jQuery("#dialog").dialog('close');
    } catch ( ex ){
        //ничего не делаем, если ошибка, то диалога не было
    }
    jQuery("#dialog_text").html( text );
    jQuery("#dialog").dialog({width: 300, height: 150}).css("font-size", "14px");
}
//Загрузить картинку
/*
src - путь к картинке
title - описание картинки
div - элемент-родитель картинки
*/
function setImage( src, title, div ){
    Asset.image(
        src,
        {
            title: title,
            alt: title,
            onload: function() {
                div.innerHTML = "";
                div.appendChild( this );
            },
            onerror:function() {
                new Request({
                    url: this.get('src'),
                    onComplete: function() {
                        div.innerHTML = "";
                        div.appendChild( getErrorImage( this.status ) );
                    }
                }).get();
            }
        }
    );
}
//Функция обработки ошибок загрузки картинок
/*
status - код http ответа
width - ширина картинки-ошибки
height - высота картинки-ошибки
*/
function getErrorImage( status ) {
    switch ( status ) {
        case 401://Нет авторизации
            return getSimpleImage('/qms/resources/401.png', 'Ошибка 401: Нет авторизации!');
        case 406://Нет доступа
            return getSimpleImage('/qms/resources/406.png', 'Ошибка 406: Нет доступа к данному функционалу!');
        case 0://Сервер не доступен
            return getSimpleImage('/qms/resources/0.png', 'Ошибка 0: Сервер не доступен!');
        case 400://Плохой запрос
            return getSimpleImage('/qms/resources/400.png', 'Ошибка 400: Некорректный запрос!');
        case 404://Not found
            return getSimpleImage('/qms/resources/404.png', 'Ошибка 404: Неизвестный запрос!');
        default://Другие ошибки
            return getSimpleImage('/qms/resources/error.png', 'Системная ошибка!');
    }
}
//Получить серверную картинку установленного размера
/*
src - путь к картинке
title - описание картинки
width - ширина картинки
height - высота картинки
*/
function getSizedSimpleImage( src, title, width, height ){
    var img = getSimpleImage( src, title );
    img.width = width;
    img.height = height;
    return img;
}
//Получить простую серверную картинку
/*
src - путь к картинке
title - описание картинки
*/
function getSimpleImage( src, title ){
    var img = new Image();
    img.src = src;
    img.alt = title;
    img.title = title;
    return img;
}
