/**
 * Функции к файлу counters_starts.html
 * Инициализация таблицы
 */
//Создать таблицу и тайм пикеры
function createGrid( mac, counter, protocol, timeStart, timeEnd ) {
    var timeType = document.getElementById('time_type');
    jQuery("#table").jqGrid({
        url: window.location.pathname + '/search?key=' + mac + '&counterName=' + counter
                    + '&timeStart=' + timeStart + '&timeEnd=' + timeEnd + '&protocol=' + protocol,
    	datatype: "json",
        height: 600,
        width: 1200,
        colNames:['Время сохранения', 'Период', 'Канал', 'Данные'],
        colModel:[
        	{name:'server_time',index:'server_time', width:200, sorttype:'string'},
        	{name:'period',index:'period', width:400, sortable:false },
        	{name:'cast',index:'cast', width:500, sortable:false },
        	{name:'value',index:'value', width:100, sortable: false }
        ],
        rowNum:300,
        beforeSelectRow: function(rowid, e) {
            return false;
        },
        groupingView : {
   		    groupField : ['server_time']
   	    },
        rowList:[300,500,700],
        mtype: "GET",
        pager: '#ptable',
        sortname: 'server_time',
        loadError : errorJsonData,
        viewrecords: true,
        sortorder: "asc",
        caption:"Табличные данные"
    });
    jQuery("#table").jqGrid('navGrid','#ptable',{del:false,add:false,edit:false,search:false});
    jQuery("#datepicker_from").datetimepicker();
    jQuery("#datepicker_to").datetimepicker();
    jQuery("#id1").click( function() {
        jQuery("#table").jqGrid('setGridParam',{
            url:window.location.pathname + '/search?key=' + mac
                        + '&counterName=' + counter + '&protocol=' + protocol
                        + '&timeStart=' + document.getElementById('datepicker_from').value
                        + '&timeEnd=' + document.getElementById('datepicker_to').value
            }).trigger("reloadGrid");
    });
};
//Первоначальная загрузка
function loadData(){
    var uri = new URI(window.location.href);
    var mac = uri.getData('key');
    var counter = uri.getData('counterName');
    var protocol = uri.getData('protocol');
    createGrid( mac, counter, protocol, document.getElementById('datepicker_from').value,
            document.getElementById('datepicker_to').value );
};
//load csv file with data
function setParamsToCsv(){
    var uri = new URI(window.location.href);
    var file = uri.get( 'file');
    if( file != '' ){
        file = file + '/';
    }
    uri.set('file', file + "toCSV");
    window.location = uri.toString();
};
//При загрузке страницы создать таблицу
window.onload = loadData;