/*
    Фукции к файлу device.html
*/
//создать таблицу с параметрами устройства
function createDeviceGrid( mac ) {
    jQuery("#device").jqGrid({
        url: window.location.pathname + '/search?mac=' + mac,
        datatype: "json",
        height: 180,
        width: 600,
        colNames:['Имя параметра','Статус'],
        colModel:[
        	{name:'param',index:'param', width:300, sortable:false, search: false},
        	{name:'value',index:'value', width:300, sortable:false, search: false }
        ],
        rowNum:-1,
        mtype: "GET",
        hidegrid:false,
        beforeSelectRow: function(rowid, e) {
            return false;
        },
        scrollOffset: 0,
        loadError : errorJsonData,
        pager: '#pdevice',
        viewrecords: true,
        caption:"Данные об устройстве"
    });
    jQuery("#device").jqGrid('navGrid','#pdevice',{edit:false,add:false,del:false,search:false});
    jQuery('#pdevice_center').hide();
    jQuery('#pdevice_right').hide();
    var grid = jQuery("#device");
    var gview = grid.parents("div.ui-jqgrid-view");
    gview.children("div.ui-jqgrid-hdiv").hide();
};

//создать таблицу со счетчиками
function createCountersGrid( mac, timeType ) {
    jQuery("#counters").jqGrid({
        url: window.location.pathname + '/counters?mac=' + mac + '&time_type=' + timeType,
        datatype: "json",
        height: 250,
        width: 1200,
        colNames:['Счетчики', "Кол-во 'аварий' за период<sup>1</sup>",
                    'Графическое представление', 'Табличное представление', 'Тип протокола'],
        colModel:[
        	{name:'counter',index:'counter', width:300, sortable:false},
        	{name:'alarm_count',index:'alarm_count', width:300, sortable:false },
        	{name:'graph',index:'graph', width:300, sortable:false, formatter: 'link' },
        	{name:'table',index:'table', width:300, sortable:false, formatter: 'link' },
        	{name:'protocol',index:'protocol', width:1, sortable:false}
        ],
       	rowNum:-1,
       	mtype: "GET",
       	loadError : errorJsonData,
        viewrecords: true,
        grouping:true,
        loadComplete: function(){
            var alarm = false;
            var counterArray = jQuery("#counters").jqGrid('getDataIDs');
            if ( counterArray.length > 0 ) {
                try {
                    counterArray.forEach(function(entry) {
                        var row = jQuery("#counters").jqGrid('getRowData', entry);
                        if ( row.counter.indexOf("<sup>авар.</sup>") > -1 ){
                            alarm = true;
                            throw "Alarm";
                        }
                    });
                } catch ( e ) {
                }
            }
            if ( alarm ){
                jQuery('#alarmMessage').html("<font size='3' color='red'>На данном промежутке есть 'аварии'!</font>");
            } else {
               // jQuery('#alarmMessage').html("<font size='3'>На данном промежутке нет 'аварий'</font>");
            }
        },
   	    groupingView : {
   		    groupField : ['protocol'],
   		    groupColumnShow : [false],
            groupText : ['<b>{0} - {1} Item(s)</b>'],
            groupCollapse : true
   	    },
        caption:"Статистика устройства"
    });
};
//Перезагрузить страницу
function reloadData ( ) {

    var myURI = new URI( window.location.href );
    var devKey = myURI.getData( 'mac' );
    var timeType = document.getElementById( 'time_type' );
    jQuery("#counters").jqGrid('setGridParam',{url:window.location.pathname + '/counters?mac=' + devKey
            + '&time_type=' + timeType[timeType.selectedIndex].value}).trigger("reloadGrid");
    var link = "device/graphic?mac=" + devKey + "&time_type=" + timeType[timeType.selectedIndex].value;
    loadGraph( link, "График активности устройства" );
};

//Зарузить данные по устройству
function loadData() {

    var myURI = new URI( window.location.href );
    var devKey = myURI.getData( 'mac' );
    createDeviceGrid( devKey );
    var timeType = document.getElementById( 'time_type' );
    createCountersGrid( devKey, timeType[timeType.selectedIndex].value )
    var link = "device/graphic?mac=" + devKey + "&time_type=" + timeType[timeType.selectedIndex].value;
    loadGraph( link, "График активности устройства" );
};

//загрузка графика активности
/*
link - путь к картинке
descr - описание картинки
*/
function loadGraph( link, descr ){

    var graphDiv = document.getElementById( 'activity_graph' );
    var loadingImg = getSimpleImage( '/qms/resources/loading_big.gif', 'Загрузка...' );
    graphDiv.innerHTML = "";
    graphDiv.appendChild( loadingImg );
    setImage( link, descr, graphDiv );
};

//Как только страница загружена, загрузить данные
window.onload = loadData;