/*
    Функции к файлу group_stat.html
*/
//Загрузить график
function getGraph( groupName, timeType ){

	var graphDiv = document.getElementById('mygraph');
	var loadingImg = getSimpleImage( '/qms/resources/loading_big.gif', 'Загрузка...' );;
    graphDiv.innerHTML = "";
    graphDiv.appendChild( loadingImg );
    setImage(
        "./group/graphic?group_name=" + groupName + "&time_type=" + timeType,
         "График статистики группы",
         graphDiv
    );
};
//Получить статистику
function getStatistic(){

    var myURI = new URI( window.location.href );
    var groupName = myURI.getData( 'group_name' );
    createGrid( groupName );
    var timeType = document.getElementById( 'time_type' );
    createTreeGrid( groupName, timeType[timeType.selectedIndex].value );
	getGraph( groupName, timeType[timeType.selectedIndex].value );
};

//Перезагрузить данные
function reloadData(){
    var myURI = new URI( window.location.href );
    var groupName = myURI.getData( 'group_name' );
    var timeType = document.getElementById('time_type');
    jQuery("#groups").jqGrid('setGridParam',{url:window.location.pathname + '/search?group_name=' + groupName
    	    + "&time_type=" + timeType[timeType.selectedIndex].value}).trigger("reloadGrid");
    getGraph( groupName, timeType[timeType.selectedIndex].value );
};
//TreeGrid для статистики групп
function createTreeGrid( groupName, timeType ){
    jQuery("#groups").jqGrid({
   	    url: window.location.pathname + '/search?group_name=' + groupName + "&time_type=" + timeType,
	    datatype: "json",
	    mtype: "GET",
	    width:1200,
	    height:230,
   	    colNames:["id","Имя группы","Общее кол-во", "Активные", "Неактивные","Аварийные"],
   	    colModel:[
   		    {name:'id',index:'id', width:1,hidden:true,key:true},
   		    {name:'group_name',index:'group_name', width:600, sortable:false, formatter: formatGroupName},
   		    {name:'all_count',index:'all_count', width:150, align:"center", sortable:false},
   		    {name:'active',index:'active', width:150, align:"right", sortable:false, formatter:formatActive},
   		    {name:'inactive',index:'inactive', width:150,align:"right", sortable:false, formatter:formatInactive},
   		    {name:'alarm',index:'alarm', width:150,align:"right", sortable:false, formatter:formatAlarm}
   	    ],
        treeGrid: true,
        loadError : errorJsonData,
    //    gridview: true,
        treeGridModel: "adjacency",
	    ExpandColumn : 'group_name',
	//    ExpandColClick: true,
	    caption: "Статистика групп",
	    jsonReader: {
            repeatitems: false,
            root: function (obj) { return obj; }
        }
    });
};
//Форматировать имя группы
function formatGroupName( cellvalue, options, rowObject ){
  	var timeType = document.getElementById('time_type');
    return "<a href=\"javascript:getGraph( '" + cellvalue +
           "', '" + timeType[timeType.selectedIndex].value + "')\">"+cellvalue+"</a>";
};

//Форматировать активное значение
function formatActive ( cellvalue, options, rowObject ) {
    var vals = cellvalue.split(', ');
  	var proc = vals[1].replace('%', '');
    if (proc > 50) {
      	return'<span style="color:green;">' + cellvalue + '</span>';
    }
    return '<span style="color:red;">' + cellvalue + '</span>';
};

//Форматировать аварийное значение
function formatAlarm ( cellvalue, options, rowObject ) {
    var vals = cellvalue.split(', ');
  	var proc = vals[1].replace('%', '');
  	if (proc < 10) {
      	return '<span style="color:green;">' + cellvalue + '</span>';
    }
    if(proc >= 10 && proc < 20) {
    	return '<span style="color:orange;">' + cellvalue + '</span>';
    }
    return '<span style="color:red;">' + cellvalue + '</span>';
};

//Форматировать неактивное значение
function formatInactive ( cellvalue, options, rowObject ) {
    var vals = cellvalue.split(', ');
  	var proc = vals[1].replace('%', '');
    if (proc < 50) {
      	return'<span style="color:green;">' + cellvalue + '</span>';
    }
    return '<span style="color:red;">' + cellvalue + '</span>';
};

//Как только страница загружена, загрузить данные
window.onload = getStatistic;