/*
    Файл для страницы groups.html
    Функции для edit_groups
*/
//добавить новую группу
function createGroup(){
	//get text error area and break old text
	var resp = document.getElementById('error_text');
	resp.innerHTML ="";
	//check for name correct
	var gname = document.getElementById('group_name');
	if (gname.value == ""){
		alert("Введите имя группы!");
		return;
	}
	//take current node
	var node = $("#available_groups").dynatree("getSelectedNodes");
	//check current node
	if (!node[0]){
		alert("Выберите группу!");
		return;
	}
	//create link
	var href = "group_name="+gname.value;
	href += "&groupid="+node[0].data.key;
	//create a request
	var myRequest = new Request({
    	url: './groups/insert',
    	method: 'get',
    	onSuccess: function(responseText){
    		if (responseText.search('ERROR')>-1){
    			resp.innerHTML = "<font color='red' size='2'>Ошибка при добавлении группы...</font>";
    		} else {
        		var childNode = node[0].addChild({
    				title: gname.value,
    				isFolder: true,
    				key: responseText
				});
			}
    	},
    	onFailure: function( xhr ){
        	resp.innerHTML = "<font color='red' size='2'>Ошибка связи с сервером...</font>";
        	errorJson( xhr );
    	}
		});
	//send request
	myRequest.send(href);
};
//Удалить группу
function deleteGroup(){
	//get text error area and break old text
	var resp = document.getElementById('error_text');
	resp.innerHTML ="";
	//take current node
	var node = $("#available_groups").dynatree("getSelectedNodes");
	if (!node[0]){
		alert("Выберите группу!");
		return;
	}
	//check on root
	if(node[0].data.key == -1){
		alert("Нельзя удалить эту группу!");
		return;
	}
	//create link
	var href = "groupid="+node[0].data.key;
	//create a request
	var myRequest = new Request({
		url: './groups/delete',
		method: 'get',
		onSuccess: function(responseText){
			if (responseText.search('ERROR')>-1){
				resp.innerHTML = "<font color='red' size='2'>Ошибка при удалении группы...</font>";
			} else {
   				node[0].removeChildren();
   				node[0].remove();
    		}
		},
		onFailure: function( xhr ){
   			resp.innerHTML = "<font color='red' size='2'>Ошибка связи с сервером...</font>";
   			errorJson( xhr );
		}
	});
	myRequest.send(href);
};
//Переименовать группу
function editNode(node){
	//check on root
	if(node.data.key < 1 ){
		alert("Нельзя переименовать!");
		return;
	}
	//get text error area and break old text
	var resp = document.getElementById('error_text');
	resp.innerHTML ="";
	var prevTitle = node.data.title,
		tree = node.tree;
	// Disable dynatree mouse- and key handling
	tree.$widget.unbind();
	// Replace node with <input>
	$(".dynatree-title", node.span).html("<input id='editNode' value='" + prevTitle + "'>");
	// Focus <input> and bind keyboard handler
	$("input#editNode")
		.focus()
		.keydown(function(event){
			switch( event.which ) {
				case 27: // [esc]
					// discard changes on [esc]
					$("input#editNode").val(prevTitle);
					$(this).blur();
				break;
				case 13: // [enter]
					// simulate blur to accept new value
					$(this).blur();
				break;
			}
		}).blur(function(event){
			// Accept new value, when user leaves <input>
			var title = $("input#editNode").val();
			var myRequest = new Request({
   				url: './groups/rename',
    			method: 'get',
    			onSuccess: function(responseText){
    				if (responseText.search('ERROR')>-1){
    					resp.innerHTML = "<font color='red' size='2'>Нельзя переименовать...</font>";
    					node.setTitle(prevTitle);
						// Re-enable mouse and keyboard handlling
						tree.$widget.bind();
						node.focus();
    				} else {
        				node.setTitle(title);
						// Re-enable mouse and keyboard handlling
						tree.$widget.bind();
						node.focus();
					}
    			},
    			onFailure: function( xhr ){
        			resp.innerHTML = "<font color='red' size='2'>Ошибка связи с сервером...</font>";
        			node.setTitle(prevTitle);
					// Re-enable mouse and keyboard handlling
					tree.$widget.bind();
					node.focus();
					errorJson( xhr );
    			}
			});
			var href = "old_name=" + prevTitle;
			href += "&group_name=" + title;
			myRequest.send( href );
		});
};


//изменить группу для устройств
function insertInGroup( ids ){
    if( ids == '' ){
        alert("Выберите устройства!");
		return;
    }
	//take a error text area and break a old text
	var resp = document.getElementById('error_text_for_devices');
	resp.innerHTML = '';
	//take current node
	var node = $("#available_groups").dynatree("getSelectedNodes");
	if (!node[0]){
		alert("Выберите группу!");
		return;
	}
	var href = 'groupid='+node[0].data.key + '&device_id=' + ids;
	//create a request
	var myRequest = new Request({
    	url: './groups/change_group',
    	method: 'get',
    	onSuccess: function(responseText){
    		if (responseText.search('OK') < 0 ){
    			resp.innerHTML = "<font color='red' size='2'>" + responseText + "</font>";
    		} else {
    			resp.innerHTML = "<font size='2'>Устройства успешно перемещены</font>";
    			jQuery("#available_devices").jqGrid('setGridParam',{datatype:'json'}).trigger('reloadGrid');
			}
    	},
    	onFailure: function( xhr ){
        	resp.innerHTML = "<font color='red' size='2'>Ошибка связи с сервером...</font>";
        	errorJson( xhr );
    	}
	});
	myRequest.send(href);
};

//удалить устройства и группы
function deleteFromGroups( ids ){
    if( ids == '' ){
        alert("Выберите устройства!");
		return;
    }
	//take a error text area and break a old text
	var resp = document.getElementById('error_text_for_devices');
	resp.innerHTML = '';
	//get a checked elements
	var href = 'device_id=' + ids;
	//create a request
	var myRequest = new Request({
		url: './groups/delete_from_group',
		method: 'get',
		onSuccess: function(responseText){
			if (responseText.search('OK') < 0){
				resp.innerHTML = "<font color='red' size='2'>" + responseText + "</font>";
			} else {
				resp.innerHTML = "<font size='2'>Устройства успешно удалены</font>";
				jQuery("#available_devices").jqGrid('setGridParam',{datatype:'json'}).trigger('reloadGrid');
			}
		},
		onFailure: function( xhr ){
   			resp.innerHTML = "<font color='red' size='2'>Ошибка связи с сервером...</font>";
   			errorJson( xhr );
		}
	});
	myRequest.send(href);
};
