/**
 * Файл для страницы groups.html
 * Инициализация дерева групп, инициализация таблицы устройств
 */
 //Создает дерево групп
function createDynaTree() {
	// --- Initialize first Dynatree -------------------------------------------
	jQuery("#available_groups").dynatree({
		initAjax: {
			url: window.location.pathname + "/availableGroups",
			data: {"groupid": "0" // Optional arguments to append to the url
                },
            error: errorJsonDyna
		},
		onLazyRead: function(node){
			// Mockup a slow reqeuest ...
			node.appendAjax({
				url: "./groups/availableGroups",
				data: {"groupid": node.data.key // Optional arguments to append to the url
                   	},
                   	error: errorJsonDyna
						//debugLazyDelay: 750 // don't do this in production code
			});
		},
		onActivate: function(node) {
           	// A DynaTreeNode object is passed to the activation handler
        	// Note: we also get this event, if persistence is on, and the page is reloaded.
           	reloadDevGrid( node.data.key );
       	},
       	selectMode: 1,
       	clickFolderMode: 1
	});
};
//Создает таблицу устройств
function createDeviceGrid(){
    jQuery("#available_devices").jqGrid({
        url: window.location.pathname + '/availableDevices?groupid=0' ,
     	datatype: "json",
        height: 500,
        width: 900,
        colNames:['MAC', 'C/H', 'Тип', 'IP', 'Группа'],
        colModel:[
           	{name:'mac',index:'mac', width:240, sortable:false, searchoptions:{sopt:['eq','ne']} },
           	{name:'serial',index:'serial', width:240, sortable:false, searchoptions:{sopt:['eq','ne']}},
           	{name:'product_type',index:'product_type', width:240, sorttype:'string', searchoptions:{sopt:['eq','ne']} },
           	{name:'ip',index:'ip', width:240, sortable:false, searchoptions:{sopt:['eq','ne']}},
           	{name:'group_name',index:'group_name', width:240, sorttype:'string', stype:'select',
           	            searchoptions:{ sopt:['eq'], value: ":Для текущей группы;*:Для всех" }}
        ],
        rowNum:30,
        rowList:[30,50,100],
        mtype: "GET",
        multiSort: true,
        loadError : errorJsonData,
        pager: '#pavailable_devices',
        sortname: 'last_session',
        viewrecords: true,
        sortorder: "desc",
        caption:"Список устройств"
    });
    jQuery("#available_devices").jqGrid('navGrid','#pavailable_devices',{del:false,add:false,edit:false},{},{},{},{multipleSearch:true});
};
//При загрузке построить дерево групп и таблицу устройств
function createJquery(){
    createDeviceGrid();
    createDynaTree()
};

window.onload = createJquery;