function getTableTree( groupName, timeType ){

document.getElementById('mytree').innerHTML = '';

Ext.require([
    'Ext.data.*',
    'Ext.grid.*',
    'Ext.tree.*'
]);


Ext.onReady(function() {
    
    //we want to setup a model and store instead of using dataUrl
    Ext.define('Task', {
        extend: 'Ext.data.Model',
        fields: [
        	{name: 'id',     type: 'string'},
            {name: 'name',     type: 'string'},
            {name: 'all_count',     type: 'int'},
            {name: 'active_count', type: 'string'},
            {name: 'inactive_count', type: 'string'},
            {name: 'alarm_count', type: 'string'}
        ]
    });


    
    var store = Ext.create('Ext.data.TreeStore', {
        model: 'Task',
        proxy: {
        	type: 'ajax',
        	url: './group/stat',
        	extraParams: {
                'group_name': groupName,
                'time_type':timeType
            }
    	},
    	lazyFill: true
    });
     
    function pctChange(val)
  	{
    	if (val > 0) {
      		val = '<span style="color:green;">' + val + '</span>';
    	} 
    	else if(val == 0) {
      		val = '<span style="color:red;">' + val + '</span>';
    	}
    	return val;
  	}
  	
  	function ChangeName(val)
  	{
  		return "<a href=\"javascript:getGraph( '" + val +
           "', '" + timeType + "')\">"+val+"</a>";
  	}
  	
  	function ChangeActive(val)
  	{
  		var vals = val.split(', ');
  		var proc = vals[1].replace('%', '');
    	if (proc > 50) {
      		val = '<span style="color:green;">' + val + '</span>';
    	} 
    	else if(proc <= 50) {
      		val = '<span style="color:red;">' + val + '</span>';
    	}
    	return val;
  	}
  	
  	function ChangeAlarm(val)
  	{
  		var vals = val.split(', ');
  		var proc = vals[1].replace('%', '');
    	if (proc < 10) {
      		val = '<span style="color:green;">' + val + '</span>';
    	} 
    	else if(proc >= 10 && proc < 20) {
      		val = '<span style="color:yellow;">' + val + '</span>';
    	}
    	else if(proc >= 20) {
      		val = '<span style="color:red;">' + val + '</span>';
    	}
    	return val;
  	}
  	
  	function ChangeInactive(val)
  	{
  		var vals = val.split(', ');
  		var proc = vals[1].replace('%', '');
    	if (proc < 50) {
      		val = '<span style="color:green;">' + val + '</span>';
    	} 
    	else if(proc >= 50) {
      		val = '<span style="color:red;">' + val + '</span>';
    	}
    	return val;
  	}

    //Ext.ux.tree.TreeGrid is no longer a Ux. You can simply use a tree.TreePanel
    var tree = Ext.create('Ext.tree.Panel', {
        title: 'Qms Group`s statistics',
        width: '100%',
        height: 500,
        renderTo: Ext.Element.get('mytree'),//Ext.getBody(),
        collapsible: false,
        useArrows: false,
        rootVisible: false,
        store: store,
        multiSelect: false,
        singleExpand: true,
        //the 'columns' property is now 'headers'
        columns: [{
        	xtype: 'treecolumn',
            text: 'Имя группы',     
            flex: 2,
            dataIndex: 'name',
            renderer:ChangeName
        },{
            text: 'Общее кол-во',
            flex: 1,
            dataIndex: 'all_count',
            align: 'center',
            renderer:pctChange
        },{
            text: 'Активные',
            flex: 1,
            dataIndex: 'active_count',
            renderer: ChangeActive,
            align: 'center'
        },{
            text: 'Неактивные',
            flex: 1,
            dataIndex: 'inactive_count',
            renderer: ChangeInactive,
            align: 'center'
        },{
            text: 'Аварийные',
            flex: 1,
            dataIndex: 'alarm_count',
            renderer: ChangeAlarm,
            align: 'center'
        }]
    });
 
});};
